## com.rbnb.api
Class SerializeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.rbnb.api.RBNBException
                  com.rbnb.api.SerializeException

All Implemented Interfaces:
  Serializable

    public class SerializeException

extends RBNBException

Serialization exception class.

Since:
  V2.0
See Also:
  Serialized Form
Author:
  Ian Brown
Version:
  05/10/2001

Constructor Summary
`SerializeException()` Class constructor.
`SerializeException(String messageI)` Class constructor to build a `SerializeException` for the input detail message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SerializeException

    public SerializeException()

  Class constructor.

  Since:
    V2.0
  See Also:
    `SerializeException(String)`
  Author:
    Ian Brown
  Version:
    01/08/2001

### SerializeException

    public SerializeException(String messageI)

  Class constructor to build a `SerializeException` for the input detail message.

  Since:
    V2.0
  See Also:
    `SerializeException()`
  Author:
    Ian Brown #param messageI the detail message.
  Version:
    01/08/2001